﻿@model ContosoUniversity.Models.User
@{
    ViewBag.Title = "LoginIndex";
    //Layout = "~/Views/Shared/_Layout.cshtml";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <style type="text/css">
        .bs-example {
            height: 220px;
        }

        .centerlook {
            padding-left: 400px;
            font-weight: bold;
            width: 1000px;
        }

        .error {
            padding-left: 400px;
            font-weight: bold;
            width: 1000px;
            color: red;
        }

        .loginbtn {
            padding-left: 500px;
        }
    </style>

</head>
<body>

    @using (Html.BeginForm())
    {
        <div class="bs-example" style="border:2px solid gray;">

            <div class="form-group centerlook">
                <h1> Login </h1>
            </div>
            <div class="form-group centerlook">
                <label>User Name: </label>
                @Html.EditorFor(model => model.UserName)*
                @Html.ValidationMessageFor(model => model.UserName)
            </div>
            <div class="form-group centerlook">
                <label>Password:</label>
                @Html.EditorFor(model => model.HashPassword) *
                @Html.ValidationMessageFor(model => model.HashPassword)

            </div>
            <div class="form-group error">
                @if (@ViewBag.Failedcount != null)
                {

                    <label> Failed Attempt count is: @ViewBag.Failedcount</label>
                }

                @if (@ViewBag.NotValidUser != null)
                {

                    <label> @ViewBag.NotValidUser</label>
                }
            </div>
            <div class="loginbtn">

                <input type="submit" value="Login" class="btn btn-primary" />

            </div>
        </div>
    }
</body>
</html>   